#include <iostream>
#include <cstdio>
using namespace std;

struct BigInt{
 int a[40000];
 int len;
};


istream& operator >>(istream &is, BigInt &a)
{
 string s;
 cin>>s;
 
 a.len=s.size();
 for(int i=0; i<s.size(); i++)
 {
   a.a[a.len-i-1]=s[i]-'0'; 
   }
 return is;
}




ostream& operator <<(ostream &os, BigInt b)
{
 for(int i=b.len-1; i>=0; i--)
 {
   cout<<b.a[i];  
            }
 return os;      
}

BigInt operator +(BigInt a, BigInt b)
{
 BigInt res;
 res.len=max(a.len, b.len);

 int curry=0;
 for(int i=0; i<res.len; i++)
   {
     res.a[i]=a.a[i]+b.a[i]+curry;
     curry=res.a[i]/10;
     res.a[i]%=10;
   }


   if(curry>0)
   {
    res.len++;
    res.a[res.len-1]=curry;     // cout<<"ok";
   }

   int h=res.len, n=0;

   while (res.len > 1 && res.a[res.len - 1] == 0) res.len--;


 return res;
}
 


BigInt operator -(BigInt t, BigInt p)
{

 BigInt res;
 res.len=max(t.len, p.len);
 
 for(int i=0; i<res.len; i++)
  if(t.a[i]>=p.a[i]){
     res.a[i]=t.a[i] -p.a[i];
   }
  else{
   res.a[i]= t.a[i]+10-p.a[i];
   t.a[i+1]= t.a[i+1]-1;


  }

  return res;
}

int main()
{
 freopen("D.in", "r", stdin);
 freopen("D.out", "w", stdout);

 BigInt N, A, B,temp, res;
 cin>>N>>A>>B;
 temp=N-A;
 res=temp+B;
 cout<<res;
 return 0;
} 